Save an immutable snapshot checkpoint
POST
/api/v1/projects/{projectId}/cases/{caseId}/snapshots
const url = 'https://api.yggy.tech/api/v1/projects/example/cases/example/snapshots';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"title":"example","sourceBlockIds":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.yggy.tech/api/v1/projects/example/cases/example/snapshots \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "title": "example", "sourceBlockIds": [ "example" ] }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” projectId
required
string
caseId
required
string
Request Body
Section titled “Request Body ” Media type application/json
object
title
required
string
sourceBlockIds
required
Array<string>
Example generated
{ "title": "example", "sourceBlockIds": [ "example" ]}Responses
Section titled “ Responses ”Created
Media type application/json
object
id
required
string
caseId
required
string
type
required
string
title
required
string | null
position
required
integer
content
required
object
key
additional properties
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
Example
{ "type": "note"}Invalid request
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Unauthorized
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Forbidden
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Case not found
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}